Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2175411 - missing rpm dependency
Summary: missing rpm dependency
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mathgl
Version: 37
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dmitrij S. Kryzhevich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-03-04 16:01 UTC by Ulrich Drepper
Modified: 2023-03-25 00:16 UTC (History)
2 users (show)

Fixed In Version: mathgl-2.4.4-14.fc36 mathgl-2.4.4-18.fc37 mathgl-8.0.1-3.fc38
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-03-24 01:41:00 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Ulrich Drepper 2023-03-04 16:01:04 UTC
Description of problem:
When neither mathgl-fltk nor mathgl-fltk-devel is installed and dnf is used to install the latter, this does not automatically include the former, too.

Version-Release number of selected component (if applicable):
2.4.4-17

How reproducible:
always

Steps to Reproduce:
1.remove mathgl-fltk and mathgl-fltk-devel from system
2.dnf install mathgl-fltk-devel
3.ls -l /usr/lib*/libmgl-fltk.so

Actual results:
A dangling symlink

Expected results:
actual DSO installed, too

Additional info:

Comment 1 Dmitrij S. Kryzhevich 2023-03-05 06:34:11 UTC
Good catch!
Taking it.

Comment 2 Fedora Update System 2023-03-15 09:46:06 UTC
FEDORA-2023-44139a8566 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2023-44139a8566

Comment 3 Fedora Update System 2023-03-15 09:46:07 UTC
FEDORA-2023-5e12ff7d4d has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-5e12ff7d4d

Comment 4 Fedora Update System 2023-03-15 09:46:07 UTC
FEDORA-2023-aae6f7bef0 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-aae6f7bef0

Comment 5 Fedora Update System 2023-03-16 18:39:22 UTC
FEDORA-2023-44139a8566 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-44139a8566`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-44139a8566

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2023-03-16 19:28:35 UTC
FEDORA-2023-5e12ff7d4d has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-5e12ff7d4d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-5e12ff7d4d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2023-03-17 04:03:58 UTC
FEDORA-2023-aae6f7bef0 has been pushed to the Fedora 38 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-aae6f7bef0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2023-03-24 01:41:00 UTC
FEDORA-2023-44139a8566 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2023-03-24 01:54:29 UTC
FEDORA-2023-5e12ff7d4d has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2023-03-25 00:16:13 UTC
FEDORA-2023-aae6f7bef0 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.